Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSIOSWhiteboardCanvas Class Reference

CSIOSWhiteboardCanvas object provides whiteboard canvas on which user can draw and received whiteboard drawings are displayed. More...

`#import <CSIOSWhiteboardCanvas.h>`

Inherits UIView.

## Instance Methods
(instancetype) | - initWithFrame:
| Initializes with frame. More...
(instancetype) | - initWithCoder:
| Initializes with coder. More...
(void) | - clearWhiteboardWithCompletionHandler:
| Clears whiteboard. More...

## Properties
CSWhiteboardSurface * | whiteboardSurface
| Current whiteboard surface of whiteboard. More...
UIColor * | color
| Current color of drawing on whiteboard. More...
CSWhiteboardTool | tool
| Current tool for drawing on whiteboard. More...

## Detailed Description

CSIOSWhiteboardCanvas object provides whiteboard canvas on which user can draw and received whiteboard drawings are displayed.

## Method Documentation

- (void) clearWhiteboardWithCompletionHandler: |  | (void(^)(CSWhiteboardSurface *surface, NSError *error)) | handler |

Clears whiteboard.

Operation is completed on whiteboard canvas (drawings are removed) after response from server. There's also corresponding method CSWhiteboardSurface::clearContentWithCompletionHandler: but, unless you want to create custom whiteboard canvas, use this one.

Parameters

  handler | A block to be called when the operation is completed. `surface` CSWhiteboardSurface object which was cleared. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (instancetype) initWithCoder: |  | (NSCoder *) | coder |

Initializes with coder.

Parameters

  coder | Coder that CSWhiteboardCanvas is initialized with.

- (instancetype) initWithFrame: |  | (CGRect) | frameRect |

Initializes with frame.

Parameters

  frameRect | Rect that CSWhiteboardCanvas is initialized with.

## Property Documentation

- (UIColor*) color
| read write nonatomic strong

Current color of drawing on whiteboard.

Default color is set to black.

- (CSWhiteboardTool) tool
| read write nonatomic assign

Current tool for drawing on whiteboard.

Default tool is set to eMove.

- (CSWhiteboardSurface*) whiteboardSurface
| read write nonatomic strong

Current whiteboard surface of whiteboard.

The documentation for this class was generated from the following file:

- CSIOSWhiteboardCanvas.h